# UI\Controls\Form::append

(PHP 7, UI 0.9.9)

UI\Controls\Form::append — Append Control

### Description

public UI\Controls\Form::append ( string `$label` , UI\Control `$control` [, bool `$stretchy` = `FALSE` ] ) : int

Shall append the control to the form, and set the label

### Parameters

`label`

  The text for the label

`control`

  A control

`stretchy`

  Should be set true to stretch the control

### Return Values

Shall return the index of the appended control, may be 0